Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist.xml
Interface ISerializer

All Known Implementing Classes:
  AbstractLayoutNodeSerializer, DimensionSerializer, DockableNodeSerializer, DockingPathSerializer, DockingPortNodeSerializer, DockingStateSerializer, FloatingGroupSerializer, LayoutNodeSerializer, LayoutSequenceSerializer, LayoutSerializer, PerspectiveModelSerializer, PerspectiveSerializer, PointSerializer, RectangleSerializer, SplitNodeSerializer

    public interface ISerializer

Created on 2005-06-03

Version:
  $Id: ISerializer.java,v 1.5 2005-07-06 18:10:48 winnetou25 Exp $
Author:
  Mateusz Szczap

Method Summary
`Object` | `deserialize(Element element)`
`Element` | `serialize(Document document, Object object)`

Method Detail

### serialize

    Element serialize(Document document,
                      Object object)

### deserialize

    Object deserialize(Element element)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD